Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.net
Class PortUnreachableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.net.SocketException
                      java.net.PortUnreachableException

All Implemented Interfaces:
  Serializable

    public class PortUnreachableException

extends SocketException

Signals that an ICMP Port Unreachable message has been received on a connected datagram.

Since:
  1.4
See Also:
  Serialized Form

Constructor Summary
`PortUnreachableException()` Construct a new `PortUnreachableException` with no detailed message.
`PortUnreachableException(String msg)` Constructs a new `PortUnreachableException` with a detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortUnreachableException

    public PortUnreachableException(String msg)

  Constructs a new `PortUnreachableException` with a detail message.

  Parameters:
    `msg` - the detail message

### PortUnreachableException

    public PortUnreachableException()

  Construct a new `PortUnreachableException` with no detailed message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.